﻿<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>HTML Basics</title>
  <link rel="stylesheet" href="style.css">
</head>
<body>
  <div id="wrapper">
    <div id="main">
      <div id="container">
        <div id="content" role="main">
          <header id="home">
            <img src="logo.png" alt="logo"/>
          </header>
          <h1>HTML BASICS</h1>
          <nav class="menu">
            <a href="#home"><strong>Home</strong></a>
            <a href="#reg"><strong>Registration</strong></a>
            <a href="#list"><strong>Types of lists</strong></a>
            <a href="#img"><strong>Image</strong></a>
            <a href="#tabl"><strong>Table</strong></a>
            <a href="#bq"><strong>Blockquotes</strong></a>
            <a href="#txt"><strong>Text formats</strong></a>
          </nav>
          <hr>
          <p><strong>Fructose</strong>, or <strong>fruit sugar</strong>, is a simple <i>ketonic monosaccharide</i> found in many plants, where it is often bonded to glucose to form the disaccharide sucrose. It is one of the three dietary <u>monosaccharides</u>, along with glucose and galactose, that are absorbed directly into blood during digestion. Its formula is C<sub>6</sub>H<sub>12</sub>O<sub>6</sub> and its density is 1.694 g/cm<sup>3</sup> . Fructose was discovered by French chemist <a href="https://en.wikipedia.org/wiki/Augustin-Pierre_Dubrunfaut" rel="author">Augustin-Pierre Dubrunfaut</a> in <ins>1847</ins>, <del>not in 1848</del>.</p>
          <p>It makes us <strong>strong!</strong> <em>This is emphasized.</em></p>
          <p>Excessive consumption of fructose (especially from sugar-sweetened beverages) may contribute to insulin resistance, obesity, elevated <abbr title="Low-density lipoprotein">LDL</abbr> cholesterol and triglycerides, leading to metabolic syndrome. <abbr title="The European Food Safety Authority">The EFSA</abbr> stated that fructose may be preferable over sucrose and glucose in sugar-sweetened foods and beverages because of its lower effect on postprandial blood sugar levels, and noted that <cite>high intakes of fructose may lead to metabolic complications such as dyslipidaemia, insulin resistance, and increased visceral adiposity</cite> (this is a citation).</p>
          <hr>
          <section id="reg">
            <h2 hidden>Registration form</h2>
            <form>
              <label>Login: <input type="text" name="username" required></label><br>
              <label>Email: <input name="email" type="email" required></label><br>
              <label>Password: <input type="password" name="password" minlength="8" required></label><br>
              <label for="proglang">Select programming language:</label>
              <select id="proglang" name="proglang">
                <option value="javascript">JavaScript</option>
                <option value="python">Python</option>
                <option value="php">PHP</option>
              </select><br><br>
              <textarea name="message" rows="4" cols="23"></textarea><br>
              <input type="submit" value="Submit">
            </form>
          </section>
          <p>h1 defines the most important heading. h6 defines the least important heading. Font-size for h1 is the same as font-size for h2, because we have to use only one h1 on the page, and it is commonly used inside header</p>
          <h2>Heading 2</h2>
          <h3>Heading 3</h3>
          <h4>Heading 4</h4>
          <h5>Heading 5</h5>
          <h6>Heading 6</h6>
          <hr>
          <section id="list">
            <h3>Unordered Shopping List</h3>
            <ul>
              <li>Vegetables:
                <ul>
                  <li>Potatos</li>
                  <li>Carrots</li>
                  <li>Cucumbers</li>
                </ul>
              </li>
              <li>Fruits:
                <ul>
                  <li>Apples</li>
                  <li>Bananas</li>
                  <li>Pears</li>
                </ul>
              </li>
              <li>Milk</li>
              <li>Butter</li>
            </ul>
            <h3>Definition List</h3>
            <dl>
              <dt>HTML</dt>
              <dd>HTML is the standard markup language to create Web pages.</dd>
              <dt>CSS</dt>
              <dd>CSS describes how HTML elements are to be displayed.</dd>
              <dt>JavaScript</dt>
              <dd>JavaScript is a scripting languages, primarily used on the Web.</dd>
            </dl>
            <h3>Ordered To-do List</h3>
            <ol>
              <li>Wash your hands
              <li>Clean your apartment
              <li>Do your homework
                <ol type="A">
                  <li>Create HTML Page
                  <li>Check all requirements &amp; folder structure
                  <li>Upload files
                </ol>
            </ol>
          </section>
          <hr>
          <section id="img">
            <h2 hidden>Image</h2>
            <img src="fruits.jpg" alt="Fruits" />
          </section>
          <hr>
          <section id="tabl">
            <h2>Sugar content of selected common plant foods (g/100g)</h2>
            <table>
              <thead>
                <tr>
                  <th>Food item</th>
                  <th>Free Fructose</th>
                  <th>Free Glucose</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>Banana</td>
                  <td>4.9</td>
                  <td>5.0</td>
                </tr>
                <tr>
                  <td>Grapes</td>
                  <td>8.1</td>
                  <td>7.2</td>
                </tr>
                <tr>
                  <td>Apple</td>
                  <td>5.9</td>
                  <td>2.4</td>
                </tr>
                <tr>
                  <td>Pineapple</td>
                  <td>2.1</td>
                  <td>1.7</td>
                </tr>
              </tbody>
            </table>
          </section>
          <hr>
          <section id="bq">
            <h2>Blockquotes</h2>
            <p>Let’s keep it simple. Italics are good to help set it off from the body text. Be sure to style the citation.<p>
            <blockquote>
              <p>&quot;I think we're all sensitive, everyone has a certain way about themselves that people don't like to let their emotions out too often. I think people tend to suppress them and hold them in, so I think there's a bit of that in me.&quot;<br>
              <a href="#">Jason Statham</a></p>
            </blockquote>
          </section>
          <hr>
          <section id="txt">
            <h2>Text formats</h2>
            <h3>Preformatted Text</h3>
            <pre>
Text in a <strong>pre</strong> element
is displayed in a fixed-width
font, and it preserves
both           <strong>spaces</strong> and
<strong>line breaks</strong>
            </pre>
            <h3>This is code</h3>
            <pre>
              <code>
.container {
  width: 100%;
  padding: 10px 20px;
  text-align: center;
}
              </code>
            </pre>
          </section>
        </div>
      </div>
    </div>
  </div>
</body>
</html>